<template>
  <div class="liste">
    <h1>Création d'un nouvel item dans la liste : {{this.nameOfList}}</h1>
     <router-link v-bind:to="url" class='retour'>Retour</router-link>
    <form @submit="SaveNewItem()" v-bind:action="url">
        <fieldset>
            <dl>
                <dt><label for="idNom">Nom de la liste :</label></dt>
                <dd> <input type="text" id="idNom" placeholder="Carotte" required v-model="nom"></dd>
            </dl>
        </fieldset>   
        <button type="submit">Enregister</button>
    </form>
  </div>
</template>


<script>

export default {
  name: "App",
   data: () => {
    return {  
      nom: '',
      id: String,
      nameOfList:String
    };
  },
  computed: {
        url() {
            return '/list/' + this.id;
        }
    },
  created(){
      this.id = this.$route.params.id
      var listes = JSON.parse(localStorage.getItem("listes"));
      let currentListe = this.id;
      this.liste = listes.filter(function (liste) { return liste.id == currentListe})[0];
      this.nameOfList = this.liste.nom
  },
  methods: {
    SaveNewItem: function () {
    
    if(!localStorage.getItem('items')){
          localStorage.setItem("items", JSON.stringify([{id:1, idListe:this.id ,nom: this.nom, check : false}]))
      }
      else{
        const lastItem = JSON.parse(localStorage.getItem("items")).pop();
        const items = JSON.parse(localStorage.getItem("items"));
        localStorage.setItem("items", JSON.stringify([...items, {id:lastItem.id+1, idListe:this.id, nom: this.nom, check : false}]))
      }

    },
  },
};

</script>

<style scoped>


fieldset{
    border: none;
    width: 100%;
}

fieldset dl{
    display: block;
    padding-bottom: 10px;
}

dt, dd{
    display: inline-block;
}

dt{
   font-weight: bold;
    width : 30%; 
}

dd input[type="text"]{
   width: 300px;
}

button{
  text-decoration: none;
  background-color: rgb(16, 172, 16);
  color : white;
  padding: 3px 6px;
  border: none;
}

button:hover{
     background-color: rgb(77, 224, 77);
}

.retour{
  text-decoration: none;
  background-color: rgb(194, 21, 21);
  color : white;
  padding: 3px 6px;
  border: none;
  float : right;
}

.retour:hover{
     background-color: rgb(253, 105, 105);
}

</style>